StrutsConfigXmlSubTask.StrutsVersion (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.struts.StrutsConfigXmlSubTask.StrutsVersion class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.struts
Class StrutsConfigXmlSubTask.StrutsVersion

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.apache.struts.StrutsConfigXmlSubTask.StrutsVersion

Enclosing class:
  StrutsConfigXmlSubTask

public static class StrutsConfigXmlSubTask.StrutsVersion
extends org.apache.tools.ant.types.EnumeratedAttribute

created
  17. juni 2002

Field Summary
`static String` | `STRUTS_1_0`
`static String` | `STRUTS_1_1`
`static String` | `STRUTS_1_2`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`StrutsConfigXmlSubTask.StrutsVersion()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the StrutsVersion object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRUTS_1_0

    public static final String STRUTS_1_0

See Also:
  Constant Field Values

### STRUTS_1_1

    public static final String STRUTS_1_1

See Also:
  Constant Field Values

### STRUTS_1_2

    public static final String STRUTS_1_2

See Also:
  Constant Field Values

Constructor Detail

### StrutsConfigXmlSubTask.StrutsVersion

    public StrutsConfigXmlSubTask.StrutsVersion()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the StrutsVersion object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD